Knowledge
Add text knowledge
Requires knowledge:write.
POST
/
knowledge
/
text
Add text knowledge
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/knowledge/text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Store hours",
"text": "Our store is open Monday through Friday, from 9 AM to 6 PM."
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/knowledge/text"
payload = {
"title": "Store hours",
"text": "Our store is open Monday through Friday, from 9 AM to 6 PM."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Store hours',
text: 'Our store is open Monday through Friday, from 9 AM to 6 PM.'
})
};
fetch('https://platform-api.visitoai.com/m2m/v1/knowledge/text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourceId": "<string>",
"chunks": 123,
"created": true,
"active": true,
"quotaExceeded": true,
"quota": {}
}{
"sourceId": "<string>",
"chunks": 123,
"created": true,
"active": true,
"quotaExceeded": true,
"quota": {}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Body
application/json
⌘I
Add text knowledge
